/*
 * alloc.h
 * Copyright (C) 2000 Nedelcho Stanev
 *
 * $Id: alloc.h,v 1.00 2000/03/03 22:17:23 decho Exp $
 */

#ifndef INCLUDED_alloc_h
#define INCLUDED_alloc_h

#ifndef INCLUDED_sys_types_h
#include <sys/types.h>        /* size_t */
#define INCLUDED_sys_types_h
#endif

#ifndef INCLUDED_stdlib_h
#include <stdlib.h>        /* free() */
#define INCLUDED_stdlib_h
#endif

#define MyFree(x)         \
  free((x));              \
  (x) = 0;

void *MyMalloc(size_t bytes);
void *MyRealloc(void *oldptr, size_t bytes);
char *MyStrdup(const char *str);
/* void MyFree(void *ptr); */
void OutOfMem();

/*
 * External declarations
 */

#endif /* INCLUDED_alloc_h */
