/*
 * client.h
 * Copyright (C) 2000 Nedelcho Stanev
 *
 * $Id: client.h,v 1.00 2000/03/03 13:57:38 decho Exp $
 */

#ifndef INCLUDED_client_h
#define INCLUDED_client_h

#ifndef INCLUDED_hybdefs_h
#include "scdefs.h"         /* USERLEN ... */
#define INCLUDED_hybdefs_h
#endif


/* User structure */
struct Luser

{
  char nick[NICKLEN + 1];     /* nickname */
  char username[USERLEN + 1]; /* username */
  char hostname[HOSTLEN + 1]; /* hostname */
};

struct UserStr {
  struct UserStr *prev, *next, *seen;
  int type;               
  char nick[NICKLEN + 1];
  char *userhost;
  time_t time;
};

typedef struct UserStr _UserStr;
extern int userstrcnt;
extern _UserStr * userstruct;

#endif /* INCLUDED_client_h */
