/*
 * misc.h
 * Copyright (C) 2000 Nedelcho Stanev
 *
 * $Id: misc.h,v 1.00 2000/03/03 22:17:23 decho Exp $
 */

#ifndef INCLUDED_misc_h
#define INCLUDED_misc_h

struct Userlist;


/*
 * Prototypes
 */

void debug(char *format, ...);
void fatal(int keepgoing, char *format, ...);
void notice(char *source, char *dest, char *format, ...);

void DoShutdown(char *who, char *reason);

int pwmatch(char *, char *);
int IsNum(char *);
char *HostToMask(char *, char *);

char *Substitute(char *, char *, int);

/*
 * External declarations
 */

#endif /* INCLUDED_misc_h */
